LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XDefaultsSupplier Interface Referencepublished

This interface provides access to an XPropertySet of defaults. More...

`import"XDefaultsSupplier.idl";`

Inheritance diagram for XDefaultsSupplier:

## Public Member Functions
com::sun::star::beans::XPropertySet | getDefaults ()
| This method returns an XPropertySet of defaults. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface provides access to an XPropertySet of defaults.

This can either be the parent of an XPropertySet or the global property defaults for a document.

## Member Function Documentation

## ◆ getDefaults()

com::sun::star::beans::XPropertySet getDefaults | ( |  | ) |

This method returns an XPropertySet of defaults.

The documentation for this interface was generated from the following file:

- com/sun/star/style/XDefaultsSupplier.idl